com::lomiri::location::service::Interface::CreateSessionForCriteria Struct Reference

`#include <interface.h>`

Collaboration diagram for com::lomiri::location::service::Interface::CreateSessionForCriteria:

## Public Types

typedef com::lomiri::location::service::Interface | Interface
typedef dbus::types::ObjectPath | ResultType

## Static Public Member Functions

static const std::string & | name ()
static const std::chrono::milliseconds | default_timeout ()

## Detailed Description

Definition at line 69 of file service/interface.h.

## Member Typedef Documentation

## Interface

typedef com::lomiri::location::service::Interface com::lomiri::location::service::Interface::CreateSessionForCriteria::Interface

Definition at line 71 of file service/interface.h.

## ResultType

typedef dbus::types::ObjectPath com::lomiri::location::service::Interface::CreateSessionForCriteria::ResultType

Definition at line 82 of file service/interface.h.

## Member Function Documentation

## default_timeout()

const std::chrono::milliseconds com::lomiri::location::service::Interface::CreateSessionForCriteria::default_timeout | ( |  | ) |

inline static

Definition at line 84 of file service/interface.h.

## name()

const std::string & com::lomiri::location::service::Interface::CreateSessionForCriteria::name | ( |  | ) |

inline static

Definition at line 73 of file service/interface.h.

The documentation for this struct was generated from the following file:

- service/interface.h